Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::LayerPrintData Class Reference

Inherits Object.

## Public Member Functions
| LayerPrintData ()
| Constructor.
| LayerPrintData (const LayerPrintData &data)
| Constructor, with another layer print data object. More...
| LayerPrintData (const String &subtype, LayerTree::UsageState print_state)
| Constructor, with parameters. More...
LayerPrintData & | operator= (const LayerPrintData &data)
| Assign operator. More...
void | Set (const String &subtype, LayerTree::UsageState print_state)
| Set value. More...

## Public Attributes
LayerTree::UsageState | print_state
| Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application. More...
String | subtype
| A string that specifies the kind of content controlled by a layer.

## Detailed Description

This class represents data for PDF layer printing usage.

## Constructor & Destructor Documentation

## ◆ LayerPrintData() [1/2]

foxit::pdf::LayerPrintData::LayerPrintData | ( | const String & | subtype,
|  | LayerTree::UsageState | print_state
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from LayerTree::e_StateON and this should be one of these values except LayerTree::e_StateUnchanged.

## ◆ LayerPrintData() [2/2]

foxit::pdf::LayerPrintData::LayerPrintData | ( | const LayerPrintData & | data | ) |
| inline

Constructor, with another layer print data object.

Parameters

  [in] | data | Another layer print data object.

## Member Function Documentation

## ◆ operator=()

LayerPrintData& foxit::pdf::LayerPrintData::operator= | ( | const LayerPrintData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another layer print data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::LayerPrintData::Set | ( | const String & | subtype,
|  | LayerTree::UsageState | print_state
| ) |  |
| inline

Set value.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from LayerTree::e_StateON and this should be one of these values except LayerTree::e_StateUnchanged.

Returns
  None.

## Member Data Documentation

## ◆ print_state

LayerTree::UsageState foxit::pdf::LayerPrintData::print_state

Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Please refer to values starting from LayerTree::e_StateON and this should be one of these values except LayerTree::e_StateUnchanged.